summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorkerrnel <kerrnel@chromium.org>2015-09-21 11:39:54 -0700
committerCommit bot <commit-bot@chromium.org>2015-09-21 18:40:28 +0000
commit0c619649467faa44c72db1ddfabbf59e535b4d31 (patch)
tree33467e72ec90979de3c6d6134a8ce3ff54e53295 /build
parentded8a57ee09a9e015c3dca39f860574d69f5b008 (diff)
downloadchromium_src-0c619649467faa44c72db1ddfabbf59e535b4d31.zip
chromium_src-0c619649467faa44c72db1ddfabbf59e535b4d31.tar.gz
chromium_src-0c619649467faa44c72db1ddfabbf59e535b4d31.tar.bz2
Delete dead code related to the removed helper apps.
It is no longer clear if we will be adding more helper variants in the near future. This change removes any additional dead code related to the helper apps. BUG=520680 Review URL: https://codereview.chromium.org/1354703002 Cr-Commit-Position: refs/heads/master@{#349970}
Diffstat (limited to 'build')
-rwxr-xr-xbuild/mac/make_more_helpers.sh84
-rwxr-xr-xbuild/mac/verify_no_objc.sh42
2 files changed, 0 insertions, 126 deletions
diff --git a/build/mac/make_more_helpers.sh b/build/mac/make_more_helpers.sh
deleted file mode 100755
index b92ffdd..0000000
--- a/build/mac/make_more_helpers.sh
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2012 The Chromium Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-
-# Usage: make_more_helpers.sh <directory_within_contents> <app_name>
-#
-# This script creates additional helper .app bundles for Chromium, based on
-# the existing helper .app bundle, changing their Mach-O header's flags to
-# enable and disable various features.
-#
-# This script expects to be called from the chrome_exe target as a postbuild,
-# and operates directly within the built-up browser app's versioned directory.
-#
-# Each helper is adjusted by giving it the proper bundle name, renaming the
-# executable, adjusting several Info.plist keys, and changing the executable's
-# Mach-O flags.
-
-set -eu
-
-make_helper() {
- local containing_dir="${1}"
- local app_name="${2}"
- local feature="${3}"
- local flags="${4}"
-
- local helper_name="${app_name} Helper"
- local helper_stem="${containing_dir}/${helper_name}"
- local original_helper="${helper_stem}.app"
- if [[ ! -d "${original_helper}" ]]; then
- echo "${0}: error: ${original_helper} is a required directory" >& 2
- exit 1
- fi
- local original_helper_exe="${original_helper}/Contents/MacOS/${helper_name}"
- if [[ ! -f "${original_helper_exe}" ]]; then
- echo "${0}: error: ${original_helper_exe} is a required file" >& 2
- exit 1
- fi
-
- local feature_helper="${helper_stem} ${feature}.app"
-
- rsync -acC --delete --include '*.so' "${original_helper}/" "${feature_helper}"
-
- local helper_feature="${helper_name} ${feature}"
- local helper_feature_exe="${feature_helper}/Contents/MacOS/${helper_feature}"
- mv "${feature_helper}/Contents/MacOS/${helper_name}" "${helper_feature_exe}"
-
- local change_flags="$(dirname "${0}")/change_mach_o_flags.py"
- "${change_flags}" ${flags} "${helper_feature_exe}"
-
- local feature_info="${feature_helper}/Contents/Info"
- local feature_info_plist="${feature_info}.plist"
-
- defaults write "${feature_info}" "CFBundleDisplayName" "${helper_feature}"
- defaults write "${feature_info}" "CFBundleExecutable" "${helper_feature}"
-
- cfbundleid="$(defaults read "${feature_info}" "CFBundleIdentifier")"
- feature_cfbundleid="${cfbundleid}.${feature}"
- defaults write "${feature_info}" "CFBundleIdentifier" "${feature_cfbundleid}"
-
- cfbundlename="$(defaults read "${feature_info}" "CFBundleName")"
- feature_cfbundlename="${cfbundlename} ${feature}"
- defaults write "${feature_info}" "CFBundleName" "${feature_cfbundlename}"
-
- # As usual, defaults might have put the plist into whatever format excites
- # it, but Info.plists get converted back to the expected XML format.
- plutil -convert xml1 "${feature_info_plist}"
-
- # `defaults` also changes the file permissions, so make the file
- # world-readable again.
- chmod a+r "${feature_info_plist}"
-}
-
-if [[ ${#} -ne 2 ]]; then
- echo "usage: ${0} <directory_within_contents> <app_name>" >& 2
- exit 1
-fi
-
-DIRECTORY_WITHIN_CONTENTS="${1}"
-APP_NAME="${2}"
-
-CONTENTS_DIR="${BUILT_PRODUCTS_DIR}/${CONTENTS_FOLDER_PATH}"
-CONTAINING_DIR="${CONTENTS_DIR}/${DIRECTORY_WITHIN_CONTENTS}"
diff --git a/build/mac/verify_no_objc.sh b/build/mac/verify_no_objc.sh
deleted file mode 100755
index e18a5ea..0000000
--- a/build/mac/verify_no_objc.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2011 The Chromium Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-
-# This script makes sure that no __OBJC,__image_info section appears in the
-# executable file built by the Xcode target that runs the script. If such a
-# section appears, the script prints an error message and exits nonzero.
-#
-# Why is this important?
-#
-# On 10.5, there's a bug in CFBundlePreflightExecutable that causes it to
-# crash when operating in an executable that has not loaded at its default
-# address (that is, when it's a position-independent executable with the
-# MH_PIE bit set in its mach_header) and the executable has an
-# __OBJC,__image_info section. See http://crbug.com/88697.
-#
-# Chrome's main executables don't use any Objective-C at all, and don't need
-# to carry this section around. Not linking them as Objective-C when they
-# don't need it anyway saves about 4kB in the linked executable, although most
-# of that 4kB is just filled with zeroes.
-#
-# This script makes sure that nobody goofs and accidentally introduces these
-# sections into the main executables.
-
-set -eu
-
-executable="${BUILT_PRODUCTS_DIR}/${EXECUTABLE_PATH}"
-
-if xcrun otool -arch i386 -o "${executable}" | grep -q '^Contents.*section$'; \
-then
- echo "${0}: ${executable} has an __OBJC,__image_info section" 2>&1
- exit 1
-fi
-
-if [[ ${PIPESTATUS[0]} -ne 0 ]]; then
- echo "${0}: otool failed" 2>&1
- exit 1
-fi
-
-exit 0